#### 7.10.6.28 ncrepRegularZeroMinimize

Procedure from library `ncrat.lib` (see ncrat_lib).

Usage:
  ncrep s = ncrepRegularZeroMinimize(q, l);

Return:
  ncrep s representing the same rational
  function as ncrep q, where s is of minimal size

Assumption:
  q is regular at zero, i.e.,
  if one substitutes in 0 for all nc variables in q then q.mat has to be invertible

Note:
  list l = list(x1, ..., xn) has to consist
  exactly of the nc variables occurring in q

Example:

    LIB "ncrat.lib";
    ncInit(list("x", "y"));
    ncrat f = ncratFromString("inv(1+x*y-y*x)");
    ncrep q = ncrepGet(f);
    ncrepDim(q);
    ==> 11
    ncrep s = ncrepRegularZeroMinimize(q, list(x, y));
    ncrepDim(s);
    ==> 3
    s;
    ==> lvec=
    ==> 0,1,0
    ==>
    ==> mat=
    ==> 1, y, 0,
    ==> -x,1, -y,
    ==> 0, -x,1
    ==>
    ==> rvec=
    ==> 0,
    ==> -1,
    ==> 0
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.